Packager: Igor Vlasenko <viy@altlinux.ru>
BuildRequires: /proc
BuildRequires: jpackage-1.5-compat
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/apache-xmlsec/1.3.0-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src


Name:		xml-security
Version:	1.3.0
Release:	alt1_2jpp5
Epoch:		0
Summary:	Implementation of W3C security standards for XML
License:	ASL 2.0
Url:		http://xml.apache.org/security
Group:		Development/Java
# cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic login
# cvs -d :pserver:anoncvs@cvs.apache.org:/home/cvspublic export -r J_1_3 xml-security
Source0:	xml-security-1.3-src.tar.gz
Source1:	xml-security-component-info.xml
Patch0:		xml-security-build_xml.patch
Patch1:		xml-security-1.3-nosun.patch	
Patch2:		xml-security-jce.patch
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: ant-nodeps
#BuildRequires:	bouncycastle
BuildRequires: jakarta-commons-logging
BuildRequires: log4j
BuildRequires: xalan-j2 >= 0:2.7
BuildRequires: xml-commons-apis >= 0:1.3
BuildRequires: xerces-j2 >= 0:2.7
#Requires:	bouncycastle
Requires: jakarta-commons-logging
Requires: log4j
Requires: xalan-j2 >= 0:2.7
Requires: xml-commons-apis >= 0:1.3
Requires: xerces-j2 >= 0:2.7
BuildArch:	noarch

%description
The XML Security project is aimed at providing implementation 
of security standards for XML. Currently the focus is on the 
W3C standards :
- XML-Signature Syntax and Processing; and
- XML Encryption Syntax and Processing.
Once these are implemented, XML Key Management is likely to 
be the next focus for the project.
Two libraries are currently available.
A Java library, which includes a mature Digital Signature 
implementation. Encryption is currently under development.
A C++ library is also now available. Functionality is 
currently more basic than that provided by the Java library.

%if %{with_repolib}
%package repolib
Summary:	Artifacts to be uploaded to a repository library
Group:		Development/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Documentation

%description javadoc
Javadoc for %{name}.

%package demo
Summary:	Samples for %{name}
Group:		Development/Documentation

%description demo
Samples for %{name}.

%prep
%setup -q -n %{name}
# remove all binary libs
find . -name '*.jar' | xargs %{__rm}

%patch0 -b .sav
%patch1 -b .sav
%patch2 -p1 -b .sav

%if %{with_repolib}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}
%endif

%build
export CLASSPATH=
export OPT_JAR_LIST=:

mkdir -p libs/endorsed
build-jar-repository -p -s libs \
commons-logging \
commons-logging-api \
log4j \
xalan-j2 \
xalan-j2-serializer \
xml-commons-apis \
xerces-j2 \
junit

ant -Djava.endorsed.dirs=libs build.src build.jar build.docs
# FIXME: (dwalluck) AES key size above 128 will fail with default Sun JCE provider policy
ant -Djava.endorsed.dirs=libs test || :

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}

install -m 644 build/xmlsec-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}
ln -s xmlsec-%{version}.jar \
		$RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir} 
for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done
)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/docs/html/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
cp -pr src_samples/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}

%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{PATCH1} $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	cp $RPM_BUILD_ROOT%{_javadir}/xmlsec.jar $RPM_BUILD_ROOT%{repodirlib}
%endif

%files
%doc LICENSE
%{_javadir}/*.jar

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files demo
%{_datadir}/%{name}-%{version}

%if %{with_repolib}
%files repolib
%{repodir}
%endif

%changelog
* Mon Sep 15 2008 Igor Vlasenko <viy@altlinux.ru> 0:1.3.0-alt1_2jpp5
- jpp5 build

* Tue Jun 05 2007 Igor Vlasenko <viy@altlinux.ru> 0:1.3.0-alt1_1jpp1.7
- converted from JPackage by jppimport script

